{% extends "admin_pages_app/base.html" %}
<style>
    .form-inline{
        display: -ms-flexbox;
        display: flex;
        -ms-flex-flow: row wrap;
        flex-flow: row wrap;
        -ms-flex-align: center;
        align-items: center;
    }

    #search-bar{
        margin-bottom: 1rem;
    }
</style>

{% block content %}
    <div style="display: flex; justify-content: flex-end;">
        <a href="{% url 'admin_pages_app:custom-pages-list' %}" id="return-btn" class="btn btn-dark">Return</a>
    </div>
    <div id="content-main" class="col-12">
        {% if error %}
            <h1 class="text-center">{{ error }}</h1>
        {% else %}
            <h1 class="text-center mb-4">{{ title }}</h1>
            <div class="justify-content-center d-flex">
                {% comment %} <h1 class="text-center">{{ table_header_row }}</h1> {% endcomment %}
            </div>
        {% endif %}
    </div>
    <div class="input-group rounded"
         id="search-bar"
         style="margin-bottom: 1rem">
        <form class="form-inline">
            <form class="search"
                  class="form-control rounded"
                  action="{% url "admin_pages_app:payments-details" %}"
                  method="post">
                {% csrf_token %}
                <input type="search"
                       class="form-control rounded"
                       placeholder="Enter 'Transfer to' ID..."
                       name="search_query"
                       value="{{ query }}"
                       required>
                <button type="submit" class="btn btn-outline-info">Search</button>
            </form>
        </form>
    </div>
    <div>
        <p><em>**discussions where the place owner is the initiator are marked in different color. Their number of participants will not correspond to the total amount, because the initiator is the owner of the location and does not pay for his participation in the discussion.</em></p>
    </div>
    <table class="table table-striped table-sm" id="orderTable">
        <thead class="thead-dark">
            <tr>
                {% for header in table_header_row %}<th scope="col" style="text-align: center;">{{ header }}</th>{% endfor %}
            </tr>
        </thead>
        {% if 'Check' in table_header_row %}
            <tbody>
                {% for discussion in objects %}
                    {% if discussion.initiator == discussion.place.owner %}
                        <tr style="background-color: #fccdb6">
                    {% else %}
                        <tr>
                    {% endif %}
                        <th scope="row" textalign="center" style="text-align: center;">
                            <form method="post" action="{% url "admin_pages_app:confirm-payments" %}?profile_id={{ discussion.place.owner.profile.id }}">
                                {% csrf_token %}
                                <input type="checkbox" value="{{ discussion.id }}" name="checkbox_discussion" onclick="checkSubmitButton()">
                            
                        </th>
                        <td style="text-align: center;">{{ discussion.id }}</td>
                        <td style="text-align: center;">{{ discussion.topic }}</td>
                        <td style="text-align: center;">{{ discussion.confirmed_participant_number }}</td>
                        <td style="text-align: center;">$ {{ discussion.place.deposit.amount }}</td>
                        <td style="text-align: center;">$ {{ discussion.total_amount }}</td>
                        <td style="text-align: center;">$ {{ discussion.service_fee_amount }}</td>
                        <td style="text-align: center;">$ {{ discussion.amount_payable }}</td>
                        <td style="text-align: center;">
                            <a href="/admin/place_app/place/{{ discussion.place.id }}/">{{ discussion.place.name }}</a>
                        </td>
                        <td style="text-align: center;">
                            <a href="/admin/user_app/profile/{{ discussion.place.owner.profile.id }}/">{{ discussion.place.owner.profile.company_legal_name }}, ID:{{ discussion.place.owner.profile.id }}</a>
                        </td>
                    </tr>
                {% endfor %}
            </tbody>
            <tfoot>
                <tr>
                    <td colspan="9" align="right">
                            <button type="submit" onclick="window.location.href='confirm';" class="btn btn-primary" id="submit-btn" disabled>Submit</button>
                            </form>
                        <!-- <button onclick="window.location.href='confirm';" name="details" class="btn btn-outline-info">Details</button>-->
                    </td>
                </tr>
            </tfoot>
        {% else %}
            <tbody>
                {% for discussion in objects %}
                    {% if discussion.initiator == discussion.place.owner %}
                        <tr style="background-color: #fccdb6">
                    {% else %}
                        <tr>
                    {% endif %}
                        <td style="text-align: center;">{{ discussion.id }}</td>
                        <td style="text-align: center;">{{ discussion.topic }}</td>
                        <td style="text-align: center;">{{ discussion.confirmed_participant_number }}</td>
                        <td style="text-align: center;">$ {{ discussion.place.deposit.amount }}</td>
                        <td style="text-align: center;">$ {{ discussion.total_amount }}</td>
                        <td style="text-align: center;">$ {{ discussion.service_fee_amount }}</td>
                        <td style="text-align: center;">$ {{ discussion.amount_payable }}</td>
                        <td style="text-align: center;">
                            <a href="/admin/place_app/place/{{ discussion.place.id }}/">{{ discussion.place.name }}</a>
                        </td>
                        <td style="text-align: center;">
                            <a href="/admin/user_app/profile/{{ discussion.place.owner.profile.id }}/">{{ discussion.place.owner.profile.company_legal_name }}, ID:{{ discussion.place.owner.profile.id }}</a>
                        </td>
                        <td colspan="11" align="right">
                            <a href="{% url 'admin_pages_app:confirm-payments' %}?discussion_id={{ discussion.id }}&profile_id={{ discussion.place.owner.profile.id }}" class="btn btn-primary">Details</a>
                        </td>
                    </tr>
            </tbody>
            {% endfor %}
        {% endif %}
    </table>
    <script>
        const checkboxes = document.querySelectorAll('input[type=checkbox]');
        const submitButton = document.getElementById('submit-btn');
        const maxLimit = 5;
        const errorDiv = document.getElementById('error-message');
        let checkedCheckboxes = new Set();
        let uncheckedCheckboxes = new Set(checkboxes);
      
        function checkSubmitButton() {
          let checkedCount = checkedCheckboxes.size;
          if (checkedCount > maxLimit) {
            alert('You can only select up to 5 discussions');
            uncheckedCheckboxes.forEach((checkbox) => {
              if (checkbox.checked) {
                checkbox.checked = false;
                checkedCheckboxes.delete(checkbox);
                uncheckedCheckboxes.add(checkbox);
              }
            });
          }
          submitButton.disabled = checkedCount > maxLimit;
        }
      
        function updateCheckboxes(event) {
          const checkbox = event.target;
          if (checkbox.checked) {
            if (checkedCheckboxes.size >= maxLimit) {
              checkbox.checked = false;
              alert('You can only select up to 5 discussions');
            } else {
              checkedCheckboxes.add(checkbox);
              uncheckedCheckboxes.delete(checkbox);
            }
          } else {
            checkedCheckboxes.delete(checkbox);
            uncheckedCheckboxes.add(checkbox);
          }
          checkSubmitButton();
        }
      
        checkboxes.forEach((checkbox) => {
          checkbox.addEventListener('change', updateCheckboxes);
        });
      </script>
           
    
{% endblock content %}
